%define dolphin_revision abc5d6c0d274345d33ad41f685bfc5fbc3bc5b71
%define dolphin_revision_description 5.0-13607

%if 0%{?fedora}
%undefine _cmake_shared_libs
%endif

%if 0%{?suse_version}
%define __builddir .
%endif

Name:             dolphin-emu-git
Summary:          Dolphin, a GameCube and Wii Emulator
Version:          5.0.13607
Release:          1%{?dist}
License:          GPLv2+
URL:              https://dolphin-emu.org/
Source0:          https://github.com/dolphin-emu/dolphin/archive/%{dolphin_revision}.tar.gz

BuildRequires:    pkgconfig(alsa)
BuildRequires:    pkgconfig(ao)
BuildRequires:    pkgconfig(bluez)

%if 0%{?fedora}
BuildRequires:    bochs-devel
%endif

BuildRequires:    pkgconfig(bzip2)
BuildRequires:    cmake

%if 0%{?fedora}
BuildRequires:    cubeb-devel
%endif

BuildRequires:    pkgconfig(fmt)
BuildRequires:    gcc-c++
BuildRequires:    gettext
BuildRequires:    pkgconfig(gl)
BuildRequires:    glslang-devel
BuildRequires:    pkgconfig(hidapi-hidraw)
BuildRequires:    pkgconfig(libcurl)
BuildRequires:    pkgconfig(libenet)
BuildRequires:    pkgconfig(libevdev)
BuildRequires:    pkgconfig(liblzma)
BuildRequires:    pkgconfig(libpng)
BuildRequires:    pkgconfig(libpulse)
BuildRequires:    pkgconfig(libsystemd)
BuildRequires:    pkgconfig(libudev)
BuildRequires:    pkgconfig(libusb)

%if 0%{?fedora}
BuildRequires:    pkgconfig(libxxhash)
%endif
%if 0%{?suse_version}
BuildRequires:    xxhash-devel
%endif

BuildRequires:    pkgconfig(libzstd)
BuildRequires:    pkgconfig(lzo2)
BuildRequires:    mbedtls-devel

%if 0%{?fedora}
BuildRequires:    pkgconfig(miniupnpc)
%endif
%if 0%{?suse_version}
BuildRequires:    libminiupnpc-devel
%endif

BuildRequires:    pkgconfig(minizip)
BuildRequires:    pkgconfig(openal)
BuildRequires:    picojson-devel
BuildRequires:    pkgconfig(pugixml)

%if 0%{?fedora}
BuildRequires:    qt5-qtbase-devel
BuildRequires:    qt5-qtbase-private-devel
%endif
%if 0%{?suse_version}
BuildRequires:    libqt5-qtbase-devel
BuildRequires:    libqt5-qtbase-private-headers-devel
%endif

BuildRequires:    pkgconfig(sdl2)
BuildRequires:    pkgconfig(sfml-all)
BuildRequires:    pkgconfig(soundtouch)

%if 0%{?fedora}
BuildRequires:    spirv-headers-devel
%endif
%if 0%{?suse_version}
BuildRequires:    spirv-headers
%endif

BuildRequires:    pkgconfig(SPIRV-Tools)
BuildRequires:    spirv-tools
BuildRequires:    pkgconfig(vulkan)
BuildRequires:    pkgconfig(xi)
BuildRequires:    pkgconfig(xrandr)
BuildRequires:    pkgconfig(zlib)

ExclusiveArch:    x86_64 aarch64

%description
Dolphin is an emulator for two Nintendo video game consoles, GameCube and the Wii.
It allows PC gamers to enjoy games for these two consoles in full HD with several
enhancements such as compatibility with all PC controllers, turbo speed,
networked multiplayer, and more.
Most games run perfectly or with minor bugs.

%prep
%autosetup -n dolphin-%{dolphin_revision}

%build
%cmake \
%if 0%{?suse_version}
    -DBUILD_SHARED_LIBS:BOOL=OFF \
    -DBUILD_STATIC_LIBS:BOOL=ON \
%endif
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DDOLPHIN_WC_BRANCH=master \
    -DDOLPHIN_WC_DESCRIBE=%{dolphin_revision_description} \
    -DDOLPHIN_WC_REVISION=%{dolphin_revision} \
    -DUSE_SHARED_ENET=ON \
    -DXXHASH_FOUND=ON \
    .
%cmake_build

%install
%cmake_install
mkdir -p %{buildroot}%{_udevrulesdir}
install -Dm 644 Data/51-usb-device.rules %{buildroot}%{_udevrulesdir}/51-dolphin-usb-device.rules
%find_lang dolphin-emu

%files -f dolphin-emu.lang
%doc Readme.md
%license license.txt
%{_bindir}/dolphin-emu
%{_bindir}/dolphin-emu-nogui
%{_datadir}/dolphin-emu/
%{_datadir}/applications/dolphin-emu.desktop
%{_datadir}/icons/hicolor/*/apps/dolphin-emu.*
%{_mandir}/man6/dolphin-emu.*
%{_mandir}/man6/dolphin-emu-nogui.*
%{_udevrulesdir}/51-dolphin-usb-device.rules
